## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::InterpolateEdgePersp Struct Reference

Interpolator for a polygon edge. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Member Functions

void | Advance (const size_t floatNum)
| Advance a line down.
void | Setup (const csVector3 *vertices, const float *floats, const size_t floatNum, size_t sv, size_t fv, int sy)
| Setup interpolator.

## Public Attributes

float | dIzdy
| Inverse Z per-scanline delta.
float | dxdy
| X per-scanline delta.
CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat | Floats [maxBuffers *4]
| A single interpolated buffer value.
float | Iz
| The inverse Z coordinate.
float | x
| X coordinate.

## Classes

struct | PerFloat
| A single interpolated buffer value. More...

## Detailed Description

Interpolator for a polygon edge.

Definition at line 49 of file types.h.

## Member Function Documentation

void CrystalSpace::SoftShader::InterpolateEdgePersp::Advance | ( | const size_t | floatNum | ) | `[inline]`

| Advance a line down. Definition at line 116 of file types.h.

void CrystalSpace::SoftShader::InterpolateEdgePersp::Setup | ( | const csVector3 * | vertices,
|  | const float * | floats,
|  | const size_t | floatNum,
|  | size_t | sv,
|  | size_t | fv,
|  | int | sy
| ) | `[inline]`

| Setup interpolator. Definition at line 71 of file types.h. References CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat::c, CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat::dIcdy, dIzdy, dxdy, Floats, CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat::Ic, Iz, CrystalSpace::SoftShader::Lerp(), csVector3::x, x, csVector3::y, and csVector3::z.

## Member Data Documentation

float CrystalSpace::SoftShader::InterpolateEdgePersp::dIzdy

| Inverse Z per-scanline delta. Definition at line 58 of file types.h. Referenced by Setup().

float CrystalSpace::SoftShader::InterpolateEdgePersp::dxdy

| X per-scanline delta. Definition at line 54 of file types.h. Referenced by Setup().

struct CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat CrystalSpace::SoftShader::InterpolateEdgePersp::Floats[maxBuffers*4]

| A single interpolated buffer value. Referenced by CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup(), and Setup().

float CrystalSpace::SoftShader::InterpolateEdgePersp::Iz

| The inverse Z coordinate. Definition at line 56 of file types.h. Referenced by CrystalSpace::SoftShader::InterpolateScanlinePersp< 0 >::Setup(), CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup(), and Setup().

float CrystalSpace::SoftShader::InterpolateEdgePersp::x

| X coordinate. Definition at line 52 of file types.h. Referenced by Setup().

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h